%define majver %(echo %version |  cut -d. -f1-2)
Name:          gwenhywfar
Version:       5.5.0
Release:       1mamba
Summary:       A tool to allow porting of software to different operating systems like Linux, *BSD, Windows etc.
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://gwenhywfar.sourceforge.net
Source:        https://github.com/aqbanking/gwenhywfar.git/%{version}/gwenhywfar-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ldconfig
BuildRequires: libGL-devel
BuildRequires: libatk-devel
BuildRequires: libbrotli-devel
BuildRequires: libbzip2-devel
BuildRequires: libcairo-devel
BuildRequires: libffi-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libgcrypt-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgmp-devel
BuildRequires: libgnutls-devel
BuildRequires: libgpg-error-devel
BuildRequires: libgraphite2-devel
BuildRequires: libgtk-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libnettle-devel
BuildRequires: libp11-kit-devel
BuildRequires: libpango-devel
BuildRequires: libpcre-devel
BuildRequires: libpng-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtasn1-devel
BuildRequires: libunistring-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Gwenhywfar allows porting of your software to different operating systems like Linux, *BSD, Windows etc. It also provides you with some often needed modules such as configuration file handling, simple XML file parsing, IPC etc.

%package -n lib%{name}
Summary:       Shared libraries provided by %{name}
Group:         System/Libraries

%description -n lib%{name}
Gwenhywfar allows porting of your software to different operating systems like Linux, *BSD, Windows etc. It also provides you with some often needed modules such as configuration file handling, simple XML file parsing, IPC etc.
This package contains static libraries and header files need for development.

%package -n lib%{name}-gtk3
Summary:       Gtk3 GUI shared libraries provided by %{name}
Group:         System/Libraries

%description -n lib%{name}-gtk3
Gwenhywfar allows porting of your software to different operating systems like Linux, *BSD, Windows etc. It also provides you with some often needed modules such as configuration file handling, simple XML file parsing, IPC etc.
This package contains static libraries and header files need for development.

%package -n lib%{name}-qt5
Summary:       Qt5 GUI shared libraries provided by %{name}
Group:         System/Libraries

%description -n lib%{name}-qt5
Gwenhywfar allows porting of your software to different operating systems like Linux, *BSD, Windows etc. It also provides you with some often needed modules such as configuration file handling, simple XML file parsing, IPC etc.
This package contains static libraries and header files need for development.
-
%package -n lib%{name}-devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      lib%{name}-gtk3 = %{?epoch:%epoch:}%{version}-%{release}
Requires:      lib%{name}-qt5 = %{?epoch:%epoch:}%{version}-%{release}
Provides:      gwenhywfar-devel
Obsoletes:     gwenhywfar-devel

%description -n lib%{name}-devel
Gwenhywfar allows porting of your software to different operating systems like Linux, *BSD, Windows etc. It also provides you with some often needed modules such as configuration file handling, simple XML file parsing, IPC etc.
This package contains static libraries and header files need for development.

%debug_package

%prep
%setup -q
autoreconf -f -i

%build
%configure \
   --with-openssl-libs="`pkg-config --libs openssl`" \
   --with-qt5-qmake=%{_bindir}/qmake-qt5 \
   --with-guis="qt5 gtk3"

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%post -n lib%{name}-gtk3 -p /sbin/ldconfig
%postun -n lib%{name}-gtk3 -p /sbin/ldconfig

%post -n lib%{name}-qt5 -p /sbin/ldconfig
%postun -n lib%{name}-qt5 -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/gsa
%{_bindir}/gct-tool
%{_bindir}/gwenhywfar-config
%{_bindir}/mklistdoc
%{_bindir}/typemaker
%{_bindir}/typemaker2
%{_bindir}/xmlmerge
#%config(noreplace) %{_sysconfdir}/gwen-public-ca.crt
%dir %{_datadir}/gwenhywfar
#%{_datadir}/gwenhywfar/ca-bundle.crt
%dir %{_datadir}/gwenhywfar/dialogs/
%{_datadir}/gwenhywfar/dialogs/dlg_*.dlg
%dir %{_datadir}/gwenhywfar/typemaker2
%dir %{_datadir}/gwenhywfar/typemaker2/c
%{_datadir}/gwenhywfar/typemaker2/c/*.tm2
%doc AUTHORS COPYING

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libgwenhywfar.so.*
%{_libdir}/libgwengui-cpp.so.*
%dir %{_libdir}/gwenhywfar/plugins
%{_libdir}/gwenhywfar/plugins/*

%files -n lib%{name}-gtk3
%defattr(-,root,root)
%{_libdir}/libgwengui-gtk3.so.*

%files -n lib%{name}-qt5
%defattr(-,root,root)
%{_libdir}/libgwengui-qt5.so.*

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/gwenhywfar5
%{_includedir}/gwenhywfar5/*
%{_libdir}/libgwenhywfar.so
%{_libdir}/libgwenhywfar.la
%{_libdir}/libgwengui-cpp.la
%{_libdir}/libgwengui-cpp.so
%{_libdir}/libgwengui-gtk3.la
%{_libdir}/libgwengui-gtk3.so
%{_libdir}/libgwengui-qt5.la
%{_libdir}/libgwengui-qt5.so
%dir %{_libdir}/cmake/gwengui-qt5-%{majver}
%{_libdir}/cmake/gwengui-qt5-%{majver}/gwengui-qt5-config*.cmake
%dir %{_libdir}/cmake/gwenhywfar-%{majver}
%{_libdir}/cmake/gwenhywfar-%{majver}/gwenhywfar-config*.cmake
%{_libdir}/cmake/gwengui-cpp-%{majver}/gwengui-cpp-config*.cmake
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/gwenhywfar.m4
%doc NEWS README TODO

%changelog
* Sun Feb 07 2021 Automatic Build System <autodist@mambasoft.it> 5.5.0-1mamba
- automatic version update by autodist

* Mon Oct 12 2020 Automatic Build System <autodist@mambasoft.it> 5.4.1-1mamba
- automatic version update by autodist

* Mon Jul 27 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 5.4.0-1mamba
- update to 5.4.0

* Sun Apr 26 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 5.3.0-2mamba
- add library subpackages

* Tue Apr 21 2020 Automatic Build System <autodist@mambasoft.it> 5.3.0-1mamba
- automatic version update by autodist

* Mon Mar 23 2020 Automatic Build System <autodist@mambasoft.it> 5.2.0-1mamba
- automatic version update by autodist

* Sat Feb 08 2020 Automatic Build System <autodist@mambasoft.it> 5.1.3-1mamba
- automatic version update by autodist

* Sat Jan 25 2020 Automatic Build System <autodist@mambasoft.it> 5.1.2-1mamba
- automatic version update by autodist

* Tue Jan 14 2020 Automatic Build System <autodist@mambasoft.it> 5.1.0-1mamba
- automatic version update by autodist

* Sat Oct 26 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 4.20.2-1mamba
- update to 4.20.2

* Tue Dec 18 2018 Automatic Build System <autodist@mambasoft.it> 4.20.1-1mamba
- automatic version update by autodist

* Fri Apr 20 2018 Automatic Build System <autodist@mambasoft.it> 4.20.0-1mamba
- automatic version update by autodist

* Sat Dec 23 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 4.18.0-1mamba
- update to 4.18.0

* Sun Apr 16 2017 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 4.17.0-1mamba
- update to 4.17.0

* Thu May 19 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 4.15.3-1mamba
- update to 4.15.3

* Thu Jan 29 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 4.13.1-1mamba
- update to 4.13.1

* Thu Jan 29 2015 Automatic Build System <autodist@mambasoft.it> 4.13.1-1mamba
- automatic version update by autodist

* Tue Oct 16 2012 Automatic Build System <autodist@mambasoft.it> 4.3.3-1mamba
- automatic update by autodist

* Sat Jul 11 2009 Automatic Build System <autodist@mambasoft.it> 2.6.2-1mamba
- automatic update by autodist

* Thu May 07 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.19.2-1mamba
- package created by autospec
